%define	module	Gnome2-Vte
%define	fmodule	Gnome2/Vte

Summary:	Perl binding for the vte widget
Name:		perl-%module
Version:	0.08
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source0:	%module-%version.tar.bz2
URL:		http://gtk2-perl.sf.net/
BuildRequires:	vte-devel => 0.11.10, perl-Glib => 1.00, perl-Gtk2 XFree86-Xvfb
BuildRequires:	perl-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig
Requires:	perl-Glib >= 1.00
Conflicts:	drakxtools < 9.1-15mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch: Gnome2-Vte-0.05-drop-test--get_has_selection--which-should-return-false.patch

%description
This module provides perl access to vte libraries.

VTE is an experimental terminal emulator widget for use with GTK+ 2.:.

%prep
%setup -q -n %module-%version
#%patch0 -p1

find -type d -name CVS | rm -rf 

%build

RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
Xvfb :$XDISPLAY & xvfb_pid=$!
DISPLAY=:$XDISPLAY %make test
kill $xvfb_pid ||:

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc LICENSE 
%{_mandir}/*/*
%{perl_vendorarch}/%fmodule
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule




%changelog
* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.08-2mdv2008.0
+ Revision: 44612
- rebuild


* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.08-1mdv2007.0
+ Revision: 89425
- new release

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.07-1mdv2007.1
+ Revision: 65977
- new release
- Import perl-Gnome2-Vte

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.06-1mdv2007.0
- new release

* Thu Jul 13 2006 Pixel <pixel@mandriva.com> 0.05-4mdv2007.0
- add patch dropping test ->get_has_selection (which should return false, why?)
- fix using Xvfb for test
- kill Xvfb after use
- move test in %%check

* Sun Jul 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.05-3
- rebuild for libvte 9 on x86_64

* Sat Jul 08 2006 Pixel <pixel@mandriva.com> 0.05-2mdv2007.0
- rebuild for libvte 9

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.05-1mdk
- new release

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-4mdk
- Revert previous Buildrequires

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-3mdk
- Fix BuildRequires
- use mkrel

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.04-2mdk
- rebuild for new perl

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-1mdk
- new release
- fix build

* Mon Jun 07 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-1mdk
- new release
- fix build

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.02-2mdk
- fix build when there's no xdisplay available
- use %%make macro
- spec cosmetics

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-1mdk
- initial release

